# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test_56
# FileName:      conftest.py
# Author:       xxxxxxx
# Datetime:     2023/8/7 15:58
# Description:
# 更改后的信息
# ---------------------------------------------------------------------------
import pytest

from InterfaceAutoTest.common.db import DB
from InterfaceAutoTest.requests_method.requests_method import RequestsMethod


@pytest.fixture(scope="session")
def req_fix():
    """创建RequestsMethod类对象"""
    req = RequestsMethod()
    yield req


@pytest.fixture(scope="session")
def db_fix():
    """创建DB类对象"""
    db = DB()
    yield db
    db.close()


def pytest_collection_modifyitems(items):
    # item表示每个测试用例，解决用例名称中文显示问题
    for item in items:
        item.name = item.name.encode("utf-8").decode("unicode-escape")
        item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")